Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1361950 - Red Hat Enterprise Linux 5u4, when creating virtual machine, it is failed
Summary: Red Hat Enterprise Linux 5u4, when creating virtual machine, it is failed
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: libvirt
Version: 5.4
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Libvirt Maintainers
QA Contact: Virtualization Bugs
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-08-01 03:28 UTC by zhouweigang09
Modified: 2016-11-08 07:30 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-11-04 09:37:15 UTC


Attachments (Terms of Use)

Description zhouweigang09 2016-08-01 03:28:31 UTC
Description of problem:
Red Hat Enterprise Linux 5u4, when creating virtual machine, it is failed:internal error unable to start guest:qemu:could not open disk image /virtual/systemos3.

Version-Release number of selected component (if applicable):
Red Hat Enterprise Linux 5u4 with KVM

the Virtual Machine is plan to install the windows Server 2003.

How reproducible:
N/A

Steps to Reproduce:
1.Install the OS:Red Hat Enterprise Linux 5u4
2.Open the KVM in OS
3.Creating virtual machine,the boot disk is from the FC SAN Storage,such as :/dev/sdc. 
 

Actual results:
it is failed:internal error unable to start guest:qemu:could not open disk image /virtual/systemos3.

Expected results:
the VM can be created successfully

Additional info:
1. I try to install the VM in local disk,it is also failed;
2.I reinstall the Red Hat Enterprise Linux 5u4. During the install ,I disabled the feature:Security Enhanced Linux(SELinux). the VM can be created successfully.
Is it about the feature:Security Enhanced Linux(SELinux)?Why?

The error:
unable to complete install:internal error unable to start guest:qemu:could not open disk image /virtual/systemos3.

Details;
files "/usr/lib/python2.4/site-packages/virtinst/Guest.py",line 541,in start_install
return self_do_insyall(consolecb,meter,removeold,wait)
 files"/usr//usr/lib/python2.4/site-packages/virtinst/Guest.py",line 633,in_do_install
   self.domian =self.conn,.createLinux(install_xml,0)

fiel"/usr/lib64/python2.4/site-packages/libvirt.py",line 974,in createlinux
 if ret is none:raise libvirterror('virdomaincreatelinux()',failed',conn=self)

libvirterror:internal error unable to start guest:qemu:could not open disk image /virtual/systemos3.

Comment 1 Jaroslav Suchanek 2016-09-16 11:18:28 UTC
Hi,

unfortunately RHEL 5.4 extended-user-supported ended as of July 31st 2011. There is no possible way how to support this and release an user space erratum.

Please see the https://access.redhat.com/support/policy/updates/errata for RHEL releases life cycle description.

Is the upgrade to RHEL 5.11 a possibility for you? Does your problem persist in this case? Can you test it?

Also if you are an AMC customer please create an AMC customer case thus it is properly handled.

Thanks.

Comment 2 Jaroslav Suchanek 2016-09-27 07:29:03 UTC
Hi, please respond to my questions in comment 1. Thank you.

Comment 3 Jaroslav Suchanek 2016-11-04 09:37:15 UTC
There was no response for more than one month. Closing for insufficient data.

Comment 4 zhouweigang09 2016-11-08 07:30:05 UTC
(In reply to Jaroslav Suchanek from comment #3)
> There was no response for more than one month. Closing for insufficient data.



I am sorry to replay~~so sorry


I solved the issue by changing the configuration about Security Enhanced Linux(SELinux).And I find the instruction in red hat administrator guide.



Thanks for your support~


Note You need to log in before you can comment on or make changes to this bug.